package hu.alkfejl.bookshop.model.bean;

/**
 * @author Fulop Lajos
 * @leiras Ez az osztály ír le egy vásárlót, ügyfelet.
 * 	       A bean konvenciók betartásával:
 *         Jobb klikk+source+generate getters/setters
 *         meghivasa az osszes nem statikus, nem transient attributumra 
 */

public class Customer {

	private String name;
	private int age;
	private boolean female = true;
	private boolean rented = false;
	private boolean student = false;
	private boolean grantee = false;
	private String qualif;
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getAge() {
		return age;
	}
	public void setAge(int age) {
		this.age = age;
	}
	public boolean isFemale() {
		return female;
	}
	public void setFemale(boolean female) {
		this.female = female;
	}
	public boolean isRented() {
		return rented;
	}
	public void setRented(boolean rented) {
		this.rented = rented;
	}
	public boolean isStudent() {
		return student;
	}
	public void setStudent(boolean student) {
		this.student = student;
	}
	
	public String getKey(){
		return name;
	}
	
	public boolean isGrantee() {
		return grantee;
	}
	public void setGrantee(boolean grantee) {
		this.grantee = grantee;
	}
	public String getQualif() {
		return qualif;
	}
	public void setQualif(String qualif) {
		this.qualif = qualif;
	}
	@Override
	public String toString() {
		return name + "-" + age + "-" + female + "-" + student + "-" + rented;
	}
	
	
}
